summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Manifest.gzbin269981 -> 269986 bytes
-rw-r--r--dev-python/aiohttp/Manifest2
-rw-r--r--dev-python/aiohttp/aiohttp-3.9.0.ebuild117
-rw-r--r--dev-python/clang-python/Manifest2
-rw-r--r--dev-python/clang-python/clang-python-18.0.0_pre20231119.ebuild53
-rw-r--r--dev-python/lit/Manifest2
-rw-r--r--dev-python/lit/lit-18.0.0_pre20231119.ebuild45
-rw-r--r--dev-python/mkdocs-material/Manifest2
-rw-r--r--dev-python/mkdocs-material/mkdocs-material-9.4.10.ebuild67
-rw-r--r--dev-python/pygments/Manifest2
-rw-r--r--dev-python/pygments/pygments-2.17.1.ebuild46
-rw-r--r--dev-python/requests-cache/Manifest2
-rw-r--r--dev-python/requests-cache/requests-cache-1.1.1.ebuild85
-rw-r--r--dev-python/scipy/Manifest5
-rw-r--r--dev-python/scipy/scipy-1.11.3-r1.ebuild14
-rw-r--r--dev-python/scipy/scipy-1.11.4.ebuild147
-rw-r--r--dev-python/versioningit/Manifest2
-rw-r--r--dev-python/versioningit/versioningit-2.3.0.ebuild43
18 files changed, 629 insertions, 7 deletions
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 533d7578488d..93fc9c04ea50 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/aiohttp/Manifest b/dev-python/aiohttp/Manifest
index 4fba90d99dc7..b10331869c4e 100644
--- a/dev-python/aiohttp/Manifest
+++ b/dev-python/aiohttp/Manifest
@@ -1,4 +1,6 @@
AUX aiohttp-3.8.6-brotlicffi.patch 1187 BLAKE2B fa565cea0a3a6ad118c1e1af7677cc393199e671a8a87d856b217b31024368248cb2df0515702867ea72f581c795658a70151a3004a718b3dffb9e16baf45269 SHA512 b3b4dc632ef0aa2045c90120c6110675e7df898bd858201eaba1b07c5551d32b37bfabb3685b7a31792e1b3b0dcb9c6d258ac4c6a8bfbbf65a8beeea96bf08fd
DIST aiohttp-3.8.6.tar.gz 7352172 BLAKE2B 4dc602abb4f9bd7c65bda7d11cde3e703bbc7786fb3f8ef36922caef42912b2c10a198ebdcecd3fcd022c3a9a729766a2023636f756a8fa10663bf988554f967 SHA512 43f1dd6670d90aefee7f0f30411b13c643ea684815b493cc4437e5f1981f4fdf4b718a40543d7c3c8c70d8b27470b8f3bf1609e46146362e0490ce0990a057f5
+DIST aiohttp-3.9.0.tar.gz 7475063 BLAKE2B 0447b9b095b3004b16eef37bd4d815f864dbfad7efb3021cb97676487cdf6d3007de47cb80daa773cc645ca60b21c79768fdc7a15163bb60578b4d05e17db924 SHA512 3001ea211985c26aa4f8a20210d80d6e72a904c1ea93a5aed5d08eb191dd253155ec5a44ae14d961c6ebbc747cbc8e602866ee7eb0b8963cf783a68dcf8b3ba6
EBUILD aiohttp-3.8.6-r1.ebuild 2883 BLAKE2B 57472a8849a5bb29b5e8ae5d4c24a89f09d968a49cc7d70c45439207471f0cb08fef77529c468afb4110b14c9a3248c43c6332f7c8fd3deda7178a4dc9145869 SHA512 2038cc2b2a50cdeb85f55f3b205288ccfdfdebb0e865563bc7dd8436396c98cd7c10ee88fa3482a612343ec8e4ee567a9176ba805757417c54c9e258ac492497
+EBUILD aiohttp-3.9.0.ebuild 3131 BLAKE2B 9bc6a135cf164493a7097b5de657e929c14e98028eeb03f962cf61ba8af927b8716755cdfc8b8d76586af74bf8dfe4f1f058be69c0679e70e1f1b86943c92c03 SHA512 e69311857e4e6c35f73fd7f8ee902044cb7608890c5f5829e960b02c7a9c8362dc1e8154ed3dec902b86f7a7b5313b06f4551b3be378d31f37b3378ec0f2bc5b
MISC metadata.xml 490 BLAKE2B 5233af0b5e2668b1eb62278b05b62f24f1ab90f6d05b20dd9f1c5b54b846919c3fa28b843df28f5bfa320996d46de0e74c7a28bd0bef02aaaca14b1cec52baba SHA512 9b701c5c5a22b6aa94977a67bc40f3dc9df8337556952658a2a17ecaaa471cd7f7b5b8bf3a0088208087677555f0cbb8760c091b03b96ee70affe3e2b84cf6d5
diff --git a/dev-python/aiohttp/aiohttp-3.9.0.ebuild b/dev-python/aiohttp/aiohttp-3.9.0.ebuild
new file mode 100644
index 000000000000..43338cff0e79
--- /dev/null
+++ b/dev-python/aiohttp/aiohttp-3.9.0.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="HTTP client/server for asyncio"
+HOMEPAGE="
+ https://github.com/aio-libs/aiohttp/
+ https://pypi.org/project/aiohttp/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="test-rust"
+
+RDEPEND="
+ >=dev-python/aiosignal-1.1.2[${PYTHON_USEDEP}]
+ >=dev-python/attrs-17.3.0[${PYTHON_USEDEP}]
+ dev-python/brotlicffi[${PYTHON_USEDEP}]
+ >=dev-python/frozenlist-1.1.1[${PYTHON_USEDEP}]
+ >=dev-python/multidict-4.5.0[${PYTHON_USEDEP}]
+ >=dev-python/yarl-1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ <dev-python/async-timeout-5[${PYTHON_USEDEP}]
+ >=dev-python/async-timeout-4.0[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ www-servers/gunicorn[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/re-assert[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/time-machine[${PYTHON_USEDEP}]
+ ' 'python3*')
+ test-rust? (
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+ )
+"
+
+DOCS=( CHANGES.rst CONTRIBUTORS.txt README.rst )
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # increase the timeout a little
+ sed -e '/abs=/s/0.001/0.01/' -i tests/test_helpers.py || die
+ # xfail_strict fails on py3.10
+ sed -i -e '/--cov/d' -e '/xfail_strict/d' setup.cfg || die
+ sed -i -e 's:-Werror::' Makefile || die
+
+ distutils-r1_src_prepare
+}
+
+python_configure_all() {
+ # workaround missing files
+ mkdir requirements tools || die
+ > requirements/cython.txt || die
+ > tools/gen.py || die
+ chmod +x tools/gen.py || die
+ # force rehashing first
+ emake requirements/.hash/cython.txt.hash
+ > .update-pip || die
+ > .install-cython || die
+ emake cythonize
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # proxy is not packaged
+ tests/test_proxy_functional.py
+ # python_on_whales is not packaged
+ tests/autobahn/test_autobahn.py
+ )
+
+ local EPYTEST_DESELECT=(
+ # Internet
+ tests/test_client_session.py::test_client_session_timeout_zero
+ # broken by irrelevant deprecation warnings
+ tests/test_circular_imports.py::test_no_warnings
+ # TODO
+ tests/test_client_session.py::test_request_tracing_url_params
+ # fragile timing test
+ tests/test_imports.py::test_import_time
+ # crash in time-machine
+ # https://github.com/aio-libs/aiohttp/issues/7851
+ # https://github.com/adamchainz/time-machine/issues/403
+ tests/test_cookiejar.py::TestCookieJarSafe::test_max_age
+ )
+
+ case ${EPYTHON} in
+ pypy3)
+ # upstream unconditionally blocks building C extensions
+ # on PyPy3 but the test suite needs an explicit switch,
+ # sigh
+ local -x AIOHTTP_NO_EXTENSIONS=1
+ ;;
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=pytest_mock,xdist.plugin,pytest_forked
+ rm -rf aiohttp || die
+ epytest --forked
+}
diff --git a/dev-python/clang-python/Manifest b/dev-python/clang-python/Manifest
index 15bd92f9f6ff..ac489a127a0c 100644
--- a/dev-python/clang-python/Manifest
+++ b/dev-python/clang-python/Manifest
@@ -9,6 +9,7 @@ DIST llvm-project-17.0.4.src.tar.xz 127828636 BLAKE2B bd91ef7f07e085b935500b056f
DIST llvm-project-17.0.4.src.tar.xz.sig 438 BLAKE2B e417c14d0af8c2f13eccec7a42d0e4d5a6a834d7a3d31061b9f56f7e880cd982c2b1e84322bcf8f6a3d3167519c31f16c7acb8fc725ab5b453f467a196ca2688 SHA512 4e79bb1d2b41289c092d4ec2759d7cfd4f12df8d107f9510aa9e2354691e7f878e3929b2b50e29fd6c65bd5a3aa13baf6b791847c1cd99817adbf59700cf2bdd
DIST llvm-project-17.0.5.src.tar.xz 127842560 BLAKE2B 2d657ff14ad2dc932a5cdc6605ad30cba8e22ed8f4adb5ed53bfd9b5b654496023df9eb895f9691e98bba6b6a341b81d8a17361daf81ce4c3cd6a2b3602cd90e SHA512 793b63aa875b6d02e3a2803815cc9361b76c9ab1506967e18630fc3d6811bf51c73f53c51d148a5fc72e87e35dc2b88cb18b48419939c436451fe65c5a326022
DIST llvm-project-17.0.5.src.tar.xz.sig 438 BLAKE2B d65bfe2816c49a4b3dda2c70fe5ca6a6b7e922338219e7a62b2f33082d88b700781e184f2b3b0758c1d46825cf369ddd6f8824f3be8d8f3a70a88cfbc06bba45 SHA512 509a61434471463459d3ec837e3f3cce662650d4e72ffc7d28fbeb0d5cfe92d5b1dc4fa568e40f48757b1e708de793bc157de7225ac15a00221191e6c1e660d9
+DIST llvm-project-5237193b87721134541f228e28edfd544a9c8ac8.tar.gz 201404340 BLAKE2B f028b8b100721202007e3106d8ee91bcf2ac90588f9268ec835dc4ea3941363d4b796338146c65d1a9e88957d18738030f713b3fed770616c79cb40043e706db SHA512 40a4d4f99f1a690a0f8737261aeeaa61af6124eeadcb6bab5c3828e88b36b8cce42a8caee6d3f01e675047c59b62210de017d207e341f680eff97758f798ad45
DIST llvm-project-83888a5404d46667647fe36d6fa510d075ed57ea.tar.gz 200867834 BLAKE2B 20f5afa071089852abfdcc316e5db77681afe0fdb189a515d7724a0abaf1c545f37ba4b946414c7b8afca62636107bd4e1c7c99d8ba6a514bb413b13f5f634b0 SHA512 4cd7680a227388382076d5735a97a379546f5bdde33272a5a3d317d98c2847e34917dd38a3cfb3f1f677f6d9a9b2163b29f89dd9c4b92506f5be34a3072e0509
EBUILD clang-python-14.0.6.ebuild 956 BLAKE2B 0452806a0baf8641d44d86c91b95958fe3bdef74fe62c32e6cb90c90ee8718c61fe9649d2f9ac17b127d65c64cba9093adee742f455be720ca2bf558131cee05 SHA512 5179df9990802cfcedcd59b8a38a6198cdfddb511fb872872c2e4cfc95531f114acb6bb43395c74659c6b46a42da32213e8312e2ed71b6e317a7270a12cfa214
EBUILD clang-python-15.0.7.ebuild 1202 BLAKE2B b655ab7b2fa3a5334666e42d36e1e7773be8910f5a47fe8792be04fafbc0c9889cf74d5ca4671863b5244b874133bb353feb4b1ac119e52486ac18d3ff7c6760 SHA512 eb99a86e826ff46d78e1f97a7db1c867e0fc4c9d0036de31407d83dc4de1b8cf80e36ba186d6d8a825209bbb4312d7120b96cbf59d6cb5cf598a3ffb754bf75d
@@ -18,4 +19,5 @@ EBUILD clang-python-17.0.5.ebuild 1205 BLAKE2B 18081510503b8096976c6e8586ddfb9ec
EBUILD clang-python-18.0.0.9999.ebuild 1170 BLAKE2B 90973d66df90d8a0bca727049d90e2e0cd08d084d133ef6eae9a82eef22151a2a668f14b725ccf693092ff7bb42088696f5777454a84fb201278a56332b62cf1 SHA512 ab723719d9f4d2f2252c34626e7fc7631e72ccdcb8338d4072d9ce571dd55c51aba191b49c5f12fb252f78517e7358154273b89bc1fe7c39cd34070220a69085
EBUILD clang-python-18.0.0_pre20231104.ebuild 1170 BLAKE2B 90973d66df90d8a0bca727049d90e2e0cd08d084d133ef6eae9a82eef22151a2a668f14b725ccf693092ff7bb42088696f5777454a84fb201278a56332b62cf1 SHA512 ab723719d9f4d2f2252c34626e7fc7631e72ccdcb8338d4072d9ce571dd55c51aba191b49c5f12fb252f78517e7358154273b89bc1fe7c39cd34070220a69085
EBUILD clang-python-18.0.0_pre20231111.ebuild 1170 BLAKE2B 90973d66df90d8a0bca727049d90e2e0cd08d084d133ef6eae9a82eef22151a2a668f14b725ccf693092ff7bb42088696f5777454a84fb201278a56332b62cf1 SHA512 ab723719d9f4d2f2252c34626e7fc7631e72ccdcb8338d4072d9ce571dd55c51aba191b49c5f12fb252f78517e7358154273b89bc1fe7c39cd34070220a69085
+EBUILD clang-python-18.0.0_pre20231119.ebuild 1170 BLAKE2B 90973d66df90d8a0bca727049d90e2e0cd08d084d133ef6eae9a82eef22151a2a668f14b725ccf693092ff7bb42088696f5777454a84fb201278a56332b62cf1 SHA512 ab723719d9f4d2f2252c34626e7fc7631e72ccdcb8338d4072d9ce571dd55c51aba191b49c5f12fb252f78517e7358154273b89bc1fe7c39cd34070220a69085
MISC metadata.xml 299 BLAKE2B 2feead2cd1b35b3a43335ddd7711f8181b52bc63ee7166608914260c67528add5251349063afbef4f8cf0ec09b2cd4c3ffdd90f2c14ed60bb69ebc03888f6333 SHA512 cd745c54ab18d25bdaff18582105072574103a36cfe7c175ef740f266d00e9fc6f44c332904d23b911c939cf5bdf52973b388923099d8dd5dfef3c283b5cb685
diff --git a/dev-python/clang-python/clang-python-18.0.0_pre20231119.ebuild b/dev-python/clang-python/clang-python-18.0.0_pre20231119.ebuild
new file mode 100644
index 000000000000..e1394f43bcd1
--- /dev/null
+++ b/dev-python/clang-python/clang-python-18.0.0_pre20231119.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for sys-devel/clang"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+DEPEND="
+ >=sys-devel/clang-${PV}:*
+ !sys-devel/llvm:0[clang(-),python(-)]
+ !sys-devel/clang:0[python(-)]
+"
+RDEPEND="
+ ${DEPEND}
+ ${PYTHON_DEPS}
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+ test? (
+ sys-devel/clang:${LLVM_MAJOR}
+ )
+"
+
+LLVM_COMPONENTS=( clang/bindings/python )
+llvm.org_set_globals
+
+python_test() {
+ # tests rely on results from a specific clang version, so override
+ # the search path
+ local -x CLANG_LIBRARY_PATH=${BROOT}/usr/lib/llvm/${LLVM_MAJOR}/$(get_libdir)
+ local -x CLANG_NO_DEFAULT_CONFIG=1
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+ python_foreach_impl python_test
+}
+
+src_install() {
+ python_foreach_impl python_domodule clang
+}
diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index 4ff8bf8a2255..4d80f62d5646 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -9,6 +9,7 @@ DIST llvm-project-17.0.4.src.tar.xz 127828636 BLAKE2B bd91ef7f07e085b935500b056f
DIST llvm-project-17.0.4.src.tar.xz.sig 438 BLAKE2B e417c14d0af8c2f13eccec7a42d0e4d5a6a834d7a3d31061b9f56f7e880cd982c2b1e84322bcf8f6a3d3167519c31f16c7acb8fc725ab5b453f467a196ca2688 SHA512 4e79bb1d2b41289c092d4ec2759d7cfd4f12df8d107f9510aa9e2354691e7f878e3929b2b50e29fd6c65bd5a3aa13baf6b791847c1cd99817adbf59700cf2bdd
DIST llvm-project-17.0.5.src.tar.xz 127842560 BLAKE2B 2d657ff14ad2dc932a5cdc6605ad30cba8e22ed8f4adb5ed53bfd9b5b654496023df9eb895f9691e98bba6b6a341b81d8a17361daf81ce4c3cd6a2b3602cd90e SHA512 793b63aa875b6d02e3a2803815cc9361b76c9ab1506967e18630fc3d6811bf51c73f53c51d148a5fc72e87e35dc2b88cb18b48419939c436451fe65c5a326022
DIST llvm-project-17.0.5.src.tar.xz.sig 438 BLAKE2B d65bfe2816c49a4b3dda2c70fe5ca6a6b7e922338219e7a62b2f33082d88b700781e184f2b3b0758c1d46825cf369ddd6f8824f3be8d8f3a70a88cfbc06bba45 SHA512 509a61434471463459d3ec837e3f3cce662650d4e72ffc7d28fbeb0d5cfe92d5b1dc4fa568e40f48757b1e708de793bc157de7225ac15a00221191e6c1e660d9
+DIST llvm-project-5237193b87721134541f228e28edfd544a9c8ac8.tar.gz 201404340 BLAKE2B f028b8b100721202007e3106d8ee91bcf2ac90588f9268ec835dc4ea3941363d4b796338146c65d1a9e88957d18738030f713b3fed770616c79cb40043e706db SHA512 40a4d4f99f1a690a0f8737261aeeaa61af6124eeadcb6bab5c3828e88b36b8cce42a8caee6d3f01e675047c59b62210de017d207e341f680eff97758f798ad45
DIST llvm-project-83888a5404d46667647fe36d6fa510d075ed57ea.tar.gz 200867834 BLAKE2B 20f5afa071089852abfdcc316e5db77681afe0fdb189a515d7724a0abaf1c545f37ba4b946414c7b8afca62636107bd4e1c7c99d8ba6a514bb413b13f5f634b0 SHA512 4cd7680a227388382076d5735a97a379546f5bdde33272a5a3d317d98c2847e34917dd38a3cfb3f1f677f6d9a9b2163b29f89dd9c4b92506f5be34a3072e0509
EBUILD lit-14.0.6.ebuild 914 BLAKE2B ff939004df0d10a698e942c99ecf3bb11fe8e0c035e3dfb0ac495f2368d83bb89cccb11de0878b3555c4047b8d0e4b969e5cec8aef8891aabf2d16a550696870 SHA512 7be9e5f983bffabf30c954e45ede8fb6b30013b84cbd50f66fa3a2185b0223b4ede7466d40376453283e9ca806da1ae80afe6e6fee001ede95b78226bcc7267d
EBUILD lit-15.0.7.ebuild 913 BLAKE2B 38afb1ee0c64d7480ccf1c84c6c1ae0e1ff5f75a0b52272b68d50717a338f143214329245bd650e107d8091ffe1bef6b29293a4b47d147122ea6cea64b448b92 SHA512 fc58e9f0ba65f388830a4e935f448126eb61f2dcf6fa40750e6feaf8a5943fb259bd3c1db3877767e4ba9ade75f6204de8a33c14630176a34fa097e522a0a051
@@ -18,4 +19,5 @@ EBUILD lit-17.0.5.ebuild 1029 BLAKE2B e49140e21422a36e1fe9b1e9e4dd54d1c0f0a79d52
EBUILD lit-18.0.0.9999.ebuild 961 BLAKE2B 4cf7d1fed4bc116054ce3c1b12784bd9626cbdc4694e88a9569ceca26981a58d6001783df9c684ffec3ae8a23d697756fe17ff712a3533905bd6394e79fdc21d SHA512 3f3cc1b6947b3375fc383de5dc0ac217f47f4b3f575c4b29cb89ca06f330cbdde1ef2496f0583a8bebeb703ebc60d10ae49337471ba33b11e528f0d4af685925
EBUILD lit-18.0.0_pre20231104.ebuild 860 BLAKE2B 3a18f88ec42d005dd80b70d43ff143d82c535984334af0cbe884e984e3b0241a68971b8ea61dcdeb0cba334b6e8c08197453640a9bf656ead44600409c9a85d1 SHA512 94898a012bdcff3cf76e471cca4fcd0d7e02df415c7f283bee874b17f26b3dc39d9db693690d84c655943ffcc8f708a0dad174ec3828c0526c319c16401f7061
EBUILD lit-18.0.0_pre20231111.ebuild 961 BLAKE2B 4cf7d1fed4bc116054ce3c1b12784bd9626cbdc4694e88a9569ceca26981a58d6001783df9c684ffec3ae8a23d697756fe17ff712a3533905bd6394e79fdc21d SHA512 3f3cc1b6947b3375fc383de5dc0ac217f47f4b3f575c4b29cb89ca06f330cbdde1ef2496f0583a8bebeb703ebc60d10ae49337471ba33b11e528f0d4af685925
+EBUILD lit-18.0.0_pre20231119.ebuild 961 BLAKE2B 4cf7d1fed4bc116054ce3c1b12784bd9626cbdc4694e88a9569ceca26981a58d6001783df9c684ffec3ae8a23d697756fe17ff712a3533905bd6394e79fdc21d SHA512 3f3cc1b6947b3375fc383de5dc0ac217f47f4b3f575c4b29cb89ca06f330cbdde1ef2496f0583a8bebeb703ebc60d10ae49337471ba33b11e528f0d4af685925
MISC metadata.xml 340 BLAKE2B c9ca851e49b4ab48c015686e983ec988f60c34ed0af77abd7bc03d046002f79f74b9b463ecb97db89f2230c1593af7acdaf6651fc51fed4aa92a459d07aabf18 SHA512 3fe8262ce6b971364162fbdbac3b02bf02f0a64896c8a2564e2a2998bd6e6bc74463bf9104e3f4ffaa9f5c1a16c877fc864b8a4f056ca0022f741799bc00f217
diff --git a/dev-python/lit/lit-18.0.0_pre20231119.ebuild b/dev-python/lit/lit-18.0.0_pre20231119.ebuild
new file mode 100644
index 000000000000..bd8eed55b536
--- /dev/null
+++ b/dev-python/lit/lit-18.0.0_pre20231119.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 llvm.org
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ sys-devel/llvm
+ )
+"
+
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+# TODO: move the manpage generation here (from sys-devel/llvm)
+
+src_prepare() {
+ # flaky test
+ # https://github.com/llvm/llvm-project/issues/72022
+ rm tests/progress-bar.py || die
+
+ cd "${WORKDIR}" || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x LIT_PRESERVES_TMP=1
+ local litflags=$(get_lit_flags)
+ ./lit.py ${litflags//;/ } tests || die
+}
diff --git a/dev-python/mkdocs-material/Manifest b/dev-python/mkdocs-material/Manifest
index d34372de5087..7d31c440a079 100644
--- a/dev-python/mkdocs-material/Manifest
+++ b/dev-python/mkdocs-material/Manifest
@@ -1,7 +1,9 @@
AUX mkdocs-material-8.5.7-simplify-build.patch 529 BLAKE2B 60a246940983ca713b370b454fff74a36dedf1aec175e72455255b35164f75f7eb79144cff67df4b1ec143a4e19b043042c9bce562456133c917c27018c4862a SHA512 51b18f3faa4a3adfc9cf8ad1fa5fd63f787a3b2b9c9769b5889a2abab621ff6e14e034487f5573418405b26bc11155e44f7c6d50acea8baf9f45164fb3ec7984
+DIST mkdocs-material-9.4.10.gh.tar.gz 14552628 BLAKE2B 167cc7388d18c4db4c763b50356932a5e1fe03c19232fb79a6cfdecefb6295c67fabfc089ccd83660bebba6098ad1ba24ecb9afcf58d91e46401821466fce502 SHA512 62905520b8ad9ede2357f4b4208a9409aa7134d77b51efdcd87de2a69ba6b4200da297a8b654ff9c96a9147b322c753b66e6106f5d0b872a9b993494801b7e22
DIST mkdocs-material-9.4.7.gh.tar.gz 14556029 BLAKE2B a3f0289afcd38dc9af2bb18205e19e78565fbe4230ed5a730736945d6b12edbcf598b337ad0715b96184059d434b6589d133bc93cec7624a72bc89ce4c30c352 SHA512 31feb4bdb5ad54fdfbe0cc054fce76e2af3b2c87424c1f3ffbda7500852074994a09de94c51b87fa40145afce6e82911b3e7399691a6c736e8c0858cc094107b
DIST mkdocs-material-9.4.8.gh.tar.gz 14556346 BLAKE2B 21cdf8e9c4d0e236db1d3bc34510be57ea273ec8b8761d896b82f32e1001313f4e00716a9b90c956ef81b522370e622bc6ad83c342a5c29cdd83e3006aae0bdf SHA512 d6f89071b60f1259f34e96e5ff3562c80096a1b3ac2b5ff44f1bf20818bdff32067d125c24d15c3b8e794e3649c42f6681417dbf1b72f0c0bd10e345e20b5be9
DIST mkdocs-material-9.4.9.gh.tar.gz 14552215 BLAKE2B 69411102e874017f9a74991cda8552d9ea2422ba5717bfe31e89f99f1e042711ea2c12cf4eb1bcd1b897d260c262869c9c230c5c4ec8c9a110be5583546dd882 SHA512 cb7535b2989f752a4cbd4bf783358dcc388e4cff03273898273b1c65332471dcd7a21571e9bf1c55666339e0462bf356d1d6c17f59f75a54ab388bb357e1c6a3
+EBUILD mkdocs-material-9.4.10.ebuild 1796 BLAKE2B f7f9efd29bfdc35912c86e1e9e043820d80f9ee4eb5ff045c412db5ec658c4c9bbc19440867cf5c18e5ef88a0ad7f28b603c00dbfd92424eab42a02289eac031 SHA512 cc54ce62ec41a881d149ac89ba90cce1959a1d1dae7100959303bd15d874bc56435dcaf1fd30e3993e721326841d6e55f5a25f9218dea57f33318e0b252f410a
EBUILD mkdocs-material-9.4.7.ebuild 1794 BLAKE2B b5b111ff4199ab3b6ec01e252925174b5a24e23769b7fc2558e55ee14c92e462452457061d31ceaf24f7871b0ebf493af79d9987686d0e03a9904926c36002f9 SHA512 6c1787b9a358cd465e98c80811d411931de259b605afd1901640993ce7236a41a76e2bacf18b2dccdf2f8d690eaebf9854fdaef1a3f74b219f17a28f0297b2f9
EBUILD mkdocs-material-9.4.8.ebuild 1796 BLAKE2B f7f9efd29bfdc35912c86e1e9e043820d80f9ee4eb5ff045c412db5ec658c4c9bbc19440867cf5c18e5ef88a0ad7f28b603c00dbfd92424eab42a02289eac031 SHA512 cc54ce62ec41a881d149ac89ba90cce1959a1d1dae7100959303bd15d874bc56435dcaf1fd30e3993e721326841d6e55f5a25f9218dea57f33318e0b252f410a
EBUILD mkdocs-material-9.4.9.ebuild 1796 BLAKE2B f7f9efd29bfdc35912c86e1e9e043820d80f9ee4eb5ff045c412db5ec658c4c9bbc19440867cf5c18e5ef88a0ad7f28b603c00dbfd92424eab42a02289eac031 SHA512 cc54ce62ec41a881d149ac89ba90cce1959a1d1dae7100959303bd15d874bc56435dcaf1fd30e3993e721326841d6e55f5a25f9218dea57f33318e0b252f410a
diff --git a/dev-python/mkdocs-material/mkdocs-material-9.4.10.ebuild b/dev-python/mkdocs-material/mkdocs-material-9.4.10.ebuild
new file mode 100644
index 000000000000..4bb3a9a57338
--- /dev/null
+++ b/dev-python/mkdocs-material/mkdocs-material-9.4.10.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..12} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/mkdocs-material-extensions
+ dev-python/mkdocs-minify-plugin
+ dev-python/mkdocs-redirects
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A Material Design theme for MkDocs"
+HOMEPAGE="
+ https://github.com/squidfunk/mkdocs-material/
+ https://pypi.org/project/mkdocs-material/
+"
+SRC_URI="
+ https://github.com/squidfunk/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="social"
+
+RDEPEND="
+ >=dev-python/Babel-2.10.3[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.6[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.5.3[${PYTHON_USEDEP}]
+ >=dev-python/paginate-0.5.6[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.16[${PYTHON_USEDEP}]
+ >=dev-python/pymdown-extensions-10.2[${PYTHON_USEDEP}]
+ >=dev-python/readtime-2.0[${PYTHON_USEDEP}]
+ >=dev-python/regex-2022.4.24[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.26[${PYTHON_USEDEP}]
+ social? (
+ >=dev-python/pillow-9.0[${PYTHON_USEDEP}]
+ >=media-gfx/cairosvg-2.5[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ >=dev-python/trove-classifiers-2023.10.18[${PYTHON_USEDEP}]
+"
+# mkdocs-material-extensions depends on mkdocs-material creating a circular dep
+PDEPEND="
+ >=dev-python/mkdocs-material-extensions-1.2[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ # simplify pyproject to remove extra deps for metadata
+ "${FILESDIR}/${PN}-8.5.7-simplify-build.patch"
+)
+
+src_prepare() {
+ echo "__version__ = '${PV}'" > gentoo_version.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/pygments/Manifest b/dev-python/pygments/Manifest
index 4f2af5241348..4747ea9efc71 100644
--- a/dev-python/pygments/Manifest
+++ b/dev-python/pygments/Manifest
@@ -1,5 +1,7 @@
DIST Pygments-2.16.1.tar.gz 4872980 BLAKE2B 57ec4f52f2bca3d9df993f583434d61ad0adbc2719f2d0b4ac84160672a3a57ec144509c520f2724a15f0222548abfbe0e743fa31a8dac64d54111b2d7393ae4 SHA512 9b66c79c03e7ecd36cc00efd428a0a6b372e70dbccdcaae26eff4d56c07a17e2e00d2cf0291eb6624ffd1c896b797789b973e80ccbca4240d56daad95eacfd80
DIST pygments-2.17.0.tar.gz 4827657 BLAKE2B 53ab36177bb88a3a19cd14a86bedab5aecf3286e2b08432f643d31d22179c4bf7e938dc8fffc3a5ecfcfead747d26085730dd611d050ae649cea62353639941e SHA512 b385f58bb7dba6b193e6c9715e0a34a883d810d2ee919a24268d7b9fffaf7501c0964c8d84aa26edcb503141330e6b752fe52d11b3d146177d42ecd3ab9211de
+DIST pygments-2.17.1.tar.gz 4827687 BLAKE2B 71e5311b15ece8463a5062a4a83796b5e652b3d67ab2d4578cc03d139816fb3de9dff204c1d35ef9e959e502d57ef22b1507212d3ed477866757e596c6c488f4 SHA512 587f9d32bbb6c9bdbe53db2f5a24b93323905cd515acf3a0e73318c00bdbb71e109d9258de54ac45a1d85fe285ffdd1b9b0397b41391124754f41af4c9e02e4b
EBUILD pygments-2.16.1.ebuild 1135 BLAKE2B fb1c884181f6d7baaa137a026efff2c9efbdd8aae176e39995e0a9fe50419ace41e494e4487800d5b36b3417afa0212cd38adc19c65fa2e03030a8c5906a5b0f SHA512 bc90d7607123ba745ab60546f29c8473a7ab8c955308c01b8b69aad3b88570e321c7652cad9a26c9265764d618c7f4f1f2e23f679919553b1f0d74b976c73797
EBUILD pygments-2.17.0.ebuild 1138 BLAKE2B caa905d76cda4f5602583b6ef9e69f533a6c5dac110c9cd01a376701e65cf24f566c34456e5af907e2d4ec529d107130b1fde5877aa4090daa58d61273b89b59 SHA512 d5d29603e828ac685483306b50ae3bd5962a6d93affd99bafde776bfa3d5ecd6ee87e23b2131d63dabfa8163c931f79fe42a1cb699131cb3c5f1bc40de985065
+EBUILD pygments-2.17.1.ebuild 1138 BLAKE2B caa905d76cda4f5602583b6ef9e69f533a6c5dac110c9cd01a376701e65cf24f566c34456e5af907e2d4ec529d107130b1fde5877aa4090daa58d61273b89b59 SHA512 d5d29603e828ac685483306b50ae3bd5962a6d93affd99bafde776bfa3d5ecd6ee87e23b2131d63dabfa8163c931f79fe42a1cb699131cb3c5f1bc40de985065
MISC metadata.xml 618 BLAKE2B fbe7a30ff157e4e13592f96ef8a8b9be60ef2f8e72c08baa56dcca027dde82715b78b3b670ef29190d88dbb582f5cc5fdf9aa2547db5d714c666c28020b54def SHA512 860f398e047e516a8ea4d7fd4e900f1c8efed92422c304e305dc16df9e536ce7be7e06407f93caca0d47f6f929eaa66b2e56acd25105d4f232b841eaca381eb6
diff --git a/dev-python/pygments/pygments-2.17.1.ebuild b/dev-python/pygments/pygments-2.17.1.ebuild
new file mode 100644
index 000000000000..11302a94d365
--- /dev/null
+++ b/dev-python/pygments/pygments-2.17.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_PN=${PN^}
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 bash-completion-r1 pypi
+
+DESCRIPTION="Pygments is a syntax highlighting package written in Python"
+HOMEPAGE="
+ https://pygments.org/
+ https://github.com/pygments/pygments/
+ https://pypi.org/project/Pygments/
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+
+BDEPEND="
+ test? (
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/wcag-contrast-ratio[${PYTHON_USEDEP}]
+ virtual/ttf-fonts
+ )
+"
+
+EPYTEST_DESELECT=(
+ # fuzzing tests, very slow
+ tests/test_basic_api.py::test_random_input
+ # incompatibility with python-ctags3, apparently
+ # https://github.com/pygments/pygments/issues/2486
+ tests/test_html_formatter.py::test_ctags
+)
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_install() {
+ distutils-r1_src_install
+ newbashcomp external/pygments.bashcomp pygmentize
+}
diff --git a/dev-python/requests-cache/Manifest b/dev-python/requests-cache/Manifest
index 0a114782ac6b..530b0bdc5017 100644
--- a/dev-python/requests-cache/Manifest
+++ b/dev-python/requests-cache/Manifest
@@ -1,3 +1,5 @@
DIST requests-cache-1.1.0.gh.tar.gz 2918734 BLAKE2B 4f420a607631568b40999a904598504e0917f50f33715d1d041e0c11dc196abc88cf96ed57860632a1e1f1fb74f3fcabde3df6096821dc0a0967aabca868f7ad SHA512 8fa9fdf4f47d67a6ad877fc181e04378b4540b35cef200735caff14e4907519aa5de74acaf61c6588856d5c8b2f9529768250a8e5fe28962b7861daf2279bb94
+DIST requests-cache-1.1.1.gh.tar.gz 2927360 BLAKE2B 2db8b71d4f219f2b61e4477a57af9dee09783ea47e86dfcc7b7726acb2507043186433ee6a9f67162c0a01c5f1439fd52ea9b74b89daa94cbe351341ef6b1f53 SHA512 99782fe635daa0834709b254b0d51c5d2b2ad37d26201acdc143f963b613bb6b4e5863e2246a2bf9d099c773e229157a983b04a40740e6207e2c356dc48bdba6
EBUILD requests-cache-1.1.0.ebuild 2275 BLAKE2B 6b417318f327e3c76538b5fc25ec170c3e2e0821153841876bf6b9b1b9241b3a8113ca146a7e3d72f07bd880893060356b0b5f46b9fc0350ec654f4975d09f5c SHA512 466c3f54fba8bc29de5abf5a31dfeec6c8bd58bea560ffd47e067e1407283a4fbe40ec9c4f6aece43f653b5da4781d8e33bfc3637f7ff9e1d01fefbe1725b34c
+EBUILD requests-cache-1.1.1.ebuild 2280 BLAKE2B 8c9ad77c21283b1789171ec46a5115b0c743e2df9a277b29920fdbd0b6317edc176e0ec324fcd4c5607eed18bc2fdda3d98ecc40b01ac969b0783dac984e462d SHA512 e83236ecff1c411374494d34ee6656641cbac3bcf166e6ca520e47c24a3812e9bc0c1b443d9542c2712967714a1e1bb2f207ed5501807cc02e66da70ef8dbff3
MISC metadata.xml 541 BLAKE2B a8fd81921a36e2fe5bdec38cc1039b9e91971c992a59cbe2dc4826977f753bd6cd2533f65b5f1a076308a898972fe70e85a2c8cf480259e9801f51b10c4de8a4 SHA512 64f29b67eaf3ce892a9f918abd7eaf8f020323e9e0d986b424cffc83e3ac1ba5cb14b534f0a0ec73a8e81694ca4e0e7f98ef02968ac5b43dab104b2b12e8e0f2
diff --git a/dev-python/requests-cache/requests-cache-1.1.1.ebuild b/dev-python/requests-cache/requests-cache-1.1.1.ebuild
new file mode 100644
index 000000000000..b5f675e3aaba
--- /dev/null
+++ b/dev-python/requests-cache/requests-cache-1.1.1.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1 optfeature
+
+HOMEPAGE="
+ https://pypi.org/project/requests-cache/
+ https://github.com/requests-cache/requests-cache/
+"
+DESCRIPTION="Persistent cache for requests library"
+SRC_URI="
+ https://github.com/requests-cache/requests-cache/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/attrs[${PYTHON_USEDEP}]
+ >=dev-python/cattrs-22.2[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2.5[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.0.0[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ >=dev-python/url-normalize-1.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/itsdangerous[${PYTHON_USEDEP}]
+ dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+ dev-python/requests-mock[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ >=dev-python/rich-10.0[${PYTHON_USEDEP}]
+ dev-python/timeout-decorator[${PYTHON_USEDEP}]
+ >=dev-python/ujson-5.4[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/time-machine[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # These require extra servers running
+ tests/integration/test_dynamodb.py
+ tests/integration/test_gridfs.py
+ tests/integration/test_mongodb.py
+ tests/integration/test_redis.py
+ )
+ local EPYTEST_DESELECT=(
+ # Requires Internet access
+ tests/integration/test_upgrade.py::test_version_upgrade
+ )
+
+ case ${EPYTHON} in
+ python3.12)
+ # https://github.com/requests-cache/requests-cache/issues/845
+ EPYTEST_DESELECT+=(
+ tests/integration/test_memory.py::TestMemoryCache::test_response_no_duplicate_read
+ tests/integration/test_sqlite.py::TestSQLiteCache::test_concurrency
+ )
+ ;;
+ esac
+
+ local -x USE_PYTEST_HTTPBIN=true
+ epytest
+}
+
+pkg_postinst() {
+ optfeature "redis backend" "dev-python/redis"
+ optfeature "MongoDB backend" "dev-python/pymongo"
+
+ optfeature "JSON serialization" "dev-python/ujson"
+ optfeature "YAML serialization" "dev-python/pyyaml"
+ optfeature "signing serialized data" "dev-python/itsdangerous"
+}
diff --git a/dev-python/scipy/Manifest b/dev-python/scipy/Manifest
index 79033d75bb1c..7dd5cff75f47 100644
--- a/dev-python/scipy/Manifest
+++ b/dev-python/scipy/Manifest
@@ -5,12 +5,15 @@ DIST scipy-1.11.0.tar.gz 56030121 BLAKE2B e700bf8f9cffa7bc0f4832722010dcf2e03d8f
DIST scipy-1.11.1.tar.gz 56031509 BLAKE2B 456a80103f8c31c456f80e06b25d765f7ad5655dbdd49e99f476e78273f4291c578a8e99fda3f3a1e848c0e75e08629a09a8146b4a798e85edcaffb7ed1d34a9 SHA512 2859fc73c4fef713497f450b76a57d274bb46477a08ac909714823225f065a13c1e42a61ce67575cfc475e1e4612090cc4ca0920411fe32370c5b5c476352f97
DIST scipy-1.11.2.tar.gz 56045065 BLAKE2B c92a27ef7b560c17bea7dbbc5ca7e192cc7ee8297b65887c3bad50509cca0f83314b688e8c9ef14228c7891e4c16e9d45920de7cb39a0456c7712ae752839203 SHA512 f6902d48617827d01f69c057f3c4790c7388bc58df0791ade96e073740253bc0529475f9fc22d00c23c0b649acaeb820792528d3805d0ac68588c329aa87b3f2
DIST scipy-1.11.3.tar.gz 56335652 BLAKE2B 2b35c24522b2bd498b4ebe84a854c8ec1e62917e7b899b3e3526abb9780c1e56f8e776a3bb1eab1bedb17a273fac881e5ffdaac808084a4f5a5f97428bff1029 SHA512 6491c4e479d9f4f02e677396a25ddca947a0dc6c009fc2ec34c658012a6224c0b535f14045bb011fbde9973ea987d184574ed64e6760c31798ec860eb0896fcf
+DIST scipy-1.11.4.tar.gz 56336202 BLAKE2B a2091a1edb54eb73c2de6ed8c62a7e571f37b247c9af50947aa97b739342c96b87b20a82b1a238c859fa532c84249cbadde228366dcea3555e9a506c1ae55031 SHA512 2eb403f6de9723b411d948b8e1b5457078704c605b8e760d42362c82d802e167eaaf701ddb8b480af2bdf2efe4dbf66fcc4e97321519bb8dab19b0e2a8976beb
DIST scipy-html-1.10.1.zip 49191107 BLAKE2B 5163ae3a62745992bcf94ab02ca2bb13fcf6d2ae0eb2a113ba29bc37a8e8f40ec70e39fe16e6371ce0bc31d4c8f0f46746be91b4fe2ad41c68a985c6f00fb8e7 SHA512 f3252452d3bfd400890f29460de2f97bf72732e0fc864582e906b78808e856ead5b1bf97cba531f2150e396408e585499d127004231421d20108e96040316232
DIST scipy-html-1.11.0.zip 50421508 BLAKE2B cb5e4a4f8817a80f54ae73b4a47ba22d2438df46ebfe27ef5fdc2695fdd983226f4ccae925bf82b15d01ced4f4b6807384ecadac5e1aa7700aa887ad06b7d065 SHA512 33718bbd5e828687d93fccc441a53b6a2e8f54ac4952d3b69d4c4668f55cb6ef5aba33df9acda20b2400effa5ae71767b2a5602a365ad2045a6edd24ff89c253
+DIST scipy-html-1.11.2.zip 50435722 BLAKE2B 460c67509a8bf50986f866ee2f90e634af21ddd71508efeef5681c2ee2130c3f79b4b428bc21277bfb310bb45ccad1fb38221ada43620055377cdc4839b9d1e5 SHA512 986a6e37f9e01dc4925ef22af6ff660bae1e4b66e57270262974c207dfb70285e3f8f548774d6e81d5f457b9198c0ba1c06e6d689fe5d54fdea878c1e5a7f797
EBUILD scipy-1.10.1.ebuild 2662 BLAKE2B dec183f49fdfc327173ad0a5ae329cf9621662f08f116a16d3048004b1de25e535b0ba5edaad8c21ffee328cbdc9eb233f2494dc99ab24a687bb21ca7699925a SHA512 ee9bf4e78a98402d4ea0658af6d45428144a5ddca988583421abc1d992ac7e38c3ef3dab4500ac09ac103c6e5e7190c7d4e1d7036bbe26c4572463edfbefc066
EBUILD scipy-1.11.0-r1.ebuild 2850 BLAKE2B eb201e9c497d0262cd1416b9f9f90fc9c84195595e348ffc1341457922add3482b16577d7bbb48017d3bce1883c69ee4545fc30e6fabe8410d3e5113e56286ff SHA512 d703ab7e30a83a720cb4a3568a841e5348e021b5542b708483731894b4f7bb16e0b9cce1a93fad84f558b2b3fb812528fb72a6812b9dc888f89d853898aefb06
EBUILD scipy-1.11.1.ebuild 2938 BLAKE2B 591c432fb4060eb9a5eff0c7f5b0cfaec1340b6938074eb44aac124b2314b5aeebc8e83c28ad85a3df3a2142829d43729a6fd34b079405a544332cbd00a1c06d SHA512 1b21eb7a9307dc650d7ae86221c8b9ca81b212c9a31a19ece5c2170fe9a6518c1df4fe57b25acfe97f3a59a27a18ec3bfe2b5d9b9fb922237b6d71cfe9193e8a
EBUILD scipy-1.11.2.ebuild 2844 BLAKE2B 2f895f59475840c3e1e9a6d01e11688147f43ecd010ffdf67788db9b4baf0cdb8174b353e8e39b729251e13ec698aff6a893bd4119e0b4dcf7648947960f1556 SHA512 ee69a5c20a0e056db32e4ee3060f1d058068e4261401931d871c9799d64c04c7a5893bbef7aa13cb7c007f4d4f29bc03c71eccd9eddd5b9268b41a96d12483a4
-EBUILD scipy-1.11.3-r1.ebuild 3509 BLAKE2B cb18ea5b67f3fd4c1ad5c1ae25f60bd19571cc60d7406e40b1a2171578c1997df20055c666bc61beff7ea58bdf432f45980d9f71a4b879e99bc8598cd26523a3 SHA512 15d9ccdad1ff84c654c46a6105dbbb2045d7ae86da7f706a4de81d5ffe357c936403fe63996e595bb5f68992e8f65001578a0bf3e2dde067a75dc069f64668eb
+EBUILD scipy-1.11.3-r1.ebuild 3552 BLAKE2B 7796054eda260310bc8ce13230e1fd0dd531591a051c91b5f89347e92545b82e1eac06e54d03fb669b0ff3e2e6facc16760858ef1bb7e04b914f1e69b05e6cce SHA512 977691de17d3ef69a8a44481215d1c35716985c98bdcec6c7181a43c38ef84a4d0336b1b068a74dd90418f61fb2bb07af0430a4308b0888bdee209316c3b711f
EBUILD scipy-1.11.3.ebuild 3025 BLAKE2B 1c8afbbd88b427ee822f03bd87345c53ceedf264bcf34d9d16ef100f50b82b8a945f798606da0736d2d9b291f250f237e88ec63395403c91d139229bdc1e7296 SHA512 68b832b7cf683dcb4096c37529da1ca4e1a5b7efe89b4e205619b53a94af6a9baaa0e0e78882707d9745bf2f7ed71191aa8eb26bb2d11abd2394bfd234e1e85f
+EBUILD scipy-1.11.4.ebuild 3554 BLAKE2B 82bc0735f26db5d45beb04db6f8fae5603128effc35a291f84f6bb5b1aa31f6aebee417d0ea4146541b53b483d052e1c4aebfc65ef71fe28c029a90a3fcb2d05 SHA512 64cfc43cbd4497325ede4286c8d77dcdde22a03bb6ac43311c7426a386a83b507b03d992270ececeb85edb49e78f008e95a2ceb08cdb505828c788400272b7f8
MISC metadata.xml 953 BLAKE2B a09ea1325a175e349fbc3ca77c5e7b373538ea01147e8544f44b7d4e0c55fbbc2012431fcfe9a3457e82d295e4b5630df1ed69c48ef3462ed9b157af30a1e09a SHA512 74a21c6e1a9bef95b3d74a9513c59d302f473725c04fa32a9991b6108113c0f4b78179ce4a628140e7aa870c24ca60bddf7a00063b6b73dd45110112311371d8
diff --git a/dev-python/scipy/scipy-1.11.3-r1.ebuild b/dev-python/scipy/scipy-1.11.3-r1.ebuild
index 7abc66ad2ceb..8796c0eb8138 100644
--- a/dev-python/scipy/scipy-1.11.3-r1.ebuild
+++ b/dev-python/scipy/scipy-1.11.3-r1.ebuild
@@ -110,6 +110,12 @@ python_test() {
# Crashes with assertion, not a regression
# https://github.com/scipy/scipy/issues/19321
scipy/signal/tests/test_signaltools.py::test_lfilter_bad_object
+
+ # timeouts
+ scipy/sparse/linalg/tests/test_propack.py::test_examples
+ # hang or incredibly slow
+ scipy/optimize/tests/test_lsq_linear.py::TestBVLS::test_large_rank_deficient
+ scipy/optimize/tests/test_lsq_linear.py::TestTRF::test_large_rank_deficient
)
local EPYTEST_IGNORE=()
@@ -122,13 +128,9 @@ python_test() {
case ${EPYTHON} in
pypy3)
EPYTEST_DESELECT+=(
- # TODO: fd leaks?
+ # fd leaks in tests
+ # https://github.com/scipy/scipy/issues/19553
scipy/fft/_pocketfft/tests/test_real_transforms.py
- # timeouts
- scipy/sparse/linalg/tests/test_propack.py::test_examples
- # hang or incredibly slow
- scipy/optimize/tests/test_lsq_linear.py::TestBVLS::test_large_rank_deficient
- scipy/optimize/tests/test_lsq_linear.py::TestTRF::test_large_rank_deficient
# TODO
'scipy/special/tests/test_data.py::test_boost[<Data for expi: expinti_data_long_ipp-expinti_data_long>]'
)
diff --git a/dev-python/scipy/scipy-1.11.4.ebuild b/dev-python/scipy/scipy-1.11.4.ebuild
new file mode 100644
index 000000000000..fb211087c17a
--- /dev/null
+++ b/dev-python/scipy/scipy-1.11.4.ebuild
@@ -0,0 +1,147 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+FORTRAN_NEEDED=fortran
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=meson-python
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit fortran-2 distutils-r1 multiprocessing
+
+DESCRIPTION="Scientific algorithms library for Python"
+HOMEPAGE="
+ https://scipy.org/
+ https://github.com/scipy/scipy/
+ https://pypi.org/project/scipy/
+"
+
+if [[ ${PV} == *9999* ]] ; then
+ inherit git-r3
+
+ # Need submodules, so git for now.
+ EGIT_REPO_URI="https://github.com/scipy/scipy"
+ EGIT_BRANCH="maintenance/$(ver_cut 1-2).x"
+ EGIT_SUBMODULES=( '*' )
+else
+ inherit pypi
+
+ # Upstream is often behind with doc updates
+ #DOC_PV=${PV}
+ DOC_PV=1.11.2
+
+ SRC_URI+="
+ doc? (
+ https://docs.scipy.org/doc/${PN}-${DOC_PV}/${PN}-html-${DOC_PV}.zip
+ )"
+
+ if [[ ${PV} != *rc* ]] ; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~loong ~riscv ~sparc ~x86"
+ fi
+fi
+
+LICENSE="BSD LGPL-2"
+SLOT="0"
+IUSE="doc +fortran test-rust"
+
+# umfpack is technically optional but it's preferred to have it available.
+DEPEND="
+ >=dev-python/numpy-1.21.6[lapack,${PYTHON_USEDEP}]
+ sci-libs/arpack:=
+ sci-libs/umfpack
+ virtual/cblas
+ >=virtual/lapack-3.8
+"
+RDEPEND="
+ ${DEPEND}
+ dev-python/pillow[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-lang/swig
+ >=dev-python/cython-0.29.35[${PYTHON_USEDEP}]
+ >=dev-python/meson-python-0.12.1[${PYTHON_USEDEP}]
+ >=dev-python/pybind11-2.10.4[${PYTHON_USEDEP}]
+ >=dev-util/meson-1.1.0
+ !kernel_Darwin? ( dev-util/patchelf )
+ virtual/pkgconfig
+ doc? ( app-arch/unzip )
+ fortran? ( dev-python/pythran[${PYTHON_USEDEP}] )
+ test? (
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+ test-rust? (
+ dev-python/pooch[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_unpack() {
+ default
+
+ if use doc; then
+ unzip -qo "${DISTDIR}"/${PN}-html-${DOC_PV}.zip -d html || die
+ fi
+}
+
+python_configure_all() {
+ DISTUTILS_ARGS=(
+ -Dblas=blas
+ -Dlapack=lapack
+ -Duse-pythran=$(usex fortran true false)
+ )
+}
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+
+ local EPYTEST_DESELECT=(
+ # Network
+ scipy/datasets/tests/test_data.py::TestDatasets::test_existence_all
+ scipy/datasets/tests/test_data.py::TestDatasets::test_ascent
+ scipy/datasets/tests/test_data.py::TestDatasets::test_face
+ scipy/datasets/tests/test_data.py::TestDatasets::test_electrocardiogram
+
+ # Precision issue with diff. blas?
+ scipy/optimize/tests/test__basinhopping.py::Test_Metropolis::test_gh7799
+
+ # Crashes with assertion, not a regression
+ # https://github.com/scipy/scipy/issues/19321
+ scipy/signal/tests/test_signaltools.py::test_lfilter_bad_object
+
+ # timeouts
+ scipy/sparse/linalg/tests/test_propack.py::test_examples
+ # hang or incredibly slow
+ scipy/optimize/tests/test_lsq_linear.py::TestBVLS::test_large_rank_deficient
+ scipy/optimize/tests/test_lsq_linear.py::TestTRF::test_large_rank_deficient
+ )
+ local EPYTEST_IGNORE=()
+
+ if ! has_version -b "dev-python/pooch[${PYTHON_USEDEP}]" ; then
+ EPYTEST_IGNORE+=(
+ scipy/datasets/tests/test_data.py
+ )
+ fi
+
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # fd leaks in tests
+ # https://github.com/scipy/scipy/issues/19553
+ scipy/fft/_pocketfft/tests/test_real_transforms.py
+ # TODO
+ 'scipy/special/tests/test_data.py::test_boost[<Data for expi: expinti_data_long_ipp-expinti_data_long>]'
+ )
+ ;;
+ esac
+
+ epytest -n "$(makeopts_jobs)" --dist=worksteal scipy
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( "${WORKDIR}"/html/. )
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/versioningit/Manifest b/dev-python/versioningit/Manifest
index efdc093ea580..e45adff39f12 100644
--- a/dev-python/versioningit/Manifest
+++ b/dev-python/versioningit/Manifest
@@ -1,3 +1,5 @@
DIST versioningit-2.2.1.tar.gz 743942 BLAKE2B f0f84b2323cdeac79144d842bbebfc196aecb35752da4dc0e343a709fc539eba50f33079dc652e95dc06bda8ddb761b5a68179b50f533434aafd7d4b1263af63 SHA512 9ec8d4cf26392fd3bfd29d5c3e573a6af8e6a42c6aff1d0f9dbf68a17b667c55859d64d91d5715bf232f4eea22a6f300cbfc6da2be8364186c23b5023fa0e6ad
+DIST versioningit-2.3.0.tar.gz 209785 BLAKE2B 392706b969a3a94be6dee2bbd8935cf97e3f0ab0b102c5ae1ef2d65b25d6e44faf9e50301639aca77c8d81e0265875c548a9d28d331cbc07aaae7ed589c6ab04 SHA512 2e91ab8bf7be333b4783e8e7ad6cf4897694a5d3e14f41cad0f3683291078fb88845d629ee1e41885408bf07d5ea6250588af6e6cf6d6596df1bae4bee5ddf0b
EBUILD versioningit-2.2.1.ebuild 928 BLAKE2B 948fdb1c0fd70adea63dbec444df0574343f6d998946b55d587fe45f0f111fba778f75d2b3270430ba7d617fe06676fb191f2e7729f2f2b2d1e1807ddd29b38d SHA512 0ef2745eee400d8656619b6a75d3f7cb32aeccd6150956416dcf82a8154d764e13de6ab1f35b316cdcd873e6bf056a295c333db7b7e91d00436ea3826eec231f
+EBUILD versioningit-2.3.0.ebuild 824 BLAKE2B 8255ae917abd19141f7cc5497563ea783ce9d823970a26bcc7127510a94a9c3a55214669e75c8b93d9d792df93bba412cf0f22917f03362fbc3d569c6c3b0ac2 SHA512 e871ec13c72524c1ed1f5f7980a5c630d56abda7bbf91c21bfd91e0163fe2e9c8d1dddadc214763d9ae758179f7e4f72665a654dfedb01b8220ad34daf502f55
MISC metadata.xml 400 BLAKE2B 96934adb9ade5b51537765da51d530a644f87328688415cfd5b239048adede18db1ec7cbb2a234cc2e28fea368aa9c815176bb22262c9053fdc2c85c6c6e3f56 SHA512 9070b850fff35058a11cc7504bbc5fbef17cc9154df5419a64bae10fd3cb160a043ffd0880fc3c5054bd1d2eb4891bcbf5764c56f2441ab79366336caf91e379
diff --git a/dev-python/versioningit/versioningit-2.3.0.ebuild b/dev-python/versioningit/versioningit-2.3.0.ebuild
new file mode 100644
index 000000000000..bae678a7309a
--- /dev/null
+++ b/dev-python/versioningit/versioningit-2.3.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A setuptools plugin for versioning based on git tags"
+HOMEPAGE="
+ https://github.com/jwodder/versioningit/
+ https://pypi.org/project/versioningit/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/packaging-17.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ <dev-python/tomli-3[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ test? (
+ dev-python/pydantic[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_IGNORE=(
+ # Tries to do wheel/pip installs
+ test/test_end2end.py
+)
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest -o addopts=
+}